Support » Plugin: Friendly Functions for Welcart » 「検索結果の拡張」を利用してはいけません

  • 文字コードが「utf8mb4」となっている環境で「検索結果の拡張」を利用すると、検索が出来なくなるバグがあります。これは「検索結果の拡張」を「利用する」にすると、決め打ちで照合順序を「utf8_unicode_ci」にしてしまうためです。文字コード「utf8mb4」の環境下では、「utf8_unicode_ci」ではなく「utf8mb4_unicode_ci」でなければなりません。

    使用者の環境をチェックすることなく、決め打ちで重要な変更を加えるのは手抜きです。適切な対処を求めます。

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author mainichiweb

    (@mainichiweb)

    ご報告、ご指摘 有難うございます。
    また、こちらの落ち度によりご迷惑をおかけしてしまい申し訳ありません。
    なるべく早く対処致します。

    Plugin Author mainichiweb

    (@mainichiweb)

    続けて恐れ入ります。
    文字コードを「DB_CHARSET」でチェックし、適した処理をするよう修正したバージョン(1.1.5)をリリース致しました。

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘「検索結果の拡張」を利用してはいけません’ is closed to new replies.